Skip to content
Snippets Groups Projects
Commit 3af7d3e2 authored by Oliver Sander's avatar Oliver Sander
Browse files

- Corrected test whether a module is installed (true if both files tested

  do exist, as they are actually one file for installed modules.)
- Only build modules that are not installed
- Store relative path of CONTROL file and use it during running
  commands (on second thought I am not sure whether this is really
  needed).

Fixes flyspray 1112.

[[Imported from SVN: r6778]]
parent c9d0497b
No related branches found
No related tags found
No related merge requests found
......@@ -143,7 +143,7 @@ build_module() {
set -e
cd "$path"
export module
eval_control $runcommand $path/$CONTROL
eval_control $runcommand $path/$(eval eval echo \$CONTROL_$module)
); then eval echo "--- Failed to build \$NAME_${module} ---"; exit 1; fi
trap onfailure EXIT
......@@ -886,7 +886,7 @@ EOF
done > "$RESUME_FILE"
fi
for mod in $MODULES; do
for mod in $BUILDMODULES; do
build_module "$mod" "$@"
if test -n "$RESUME_FILE"; then
......
......@@ -69,10 +69,11 @@ parse_control() {
# - source module: ${path}/dune.module
# and there is a file ${path}/${name}.pc.in
local path="$(canonicalpath "$1")"
if test ! -f $path/dune.module -a \
-f $path/../../../lib/dunecontrol/${name}/dune.module; then
if test -f $path/$CONTROL -a \
-f $path/../../../lib/dunecontrol/${name}/$CONTROL; then
path=$(canonicalname "$path/../../../")
export module_inst="yes"
export CONTROL_${module}=lib/dunecontrol/${name}/$CONTROL
fi
if ! check_modname "$module"; then
echo "ERROR: $CONTROL files $1 contains an invalid Module entry" >&2
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment